Checks if a parameter is promoted to a property

- « ReflectionParameter::isPassedByReference

- ReflectionParameter::isVariadic »

- PHP Manual
- ReflectionParameter
- Checks if a parameter is promoted to a property

# ReflectionParameter::isPromoted

(PHP 8)

ReflectionParameter::isPromoted — Checks if a parameter is promoted to a property

### Description

public ReflectionParameter::isPromoted(): bool

Checks whether the parameter is promoted to a property.

### Parameters

This function has no parameters.

### Return Values

`true` if the parameter is promoted to a property, `false` otherwise.

### See Also

- ReflectionProperty::isPromoted() - Checks if property is promoted